package com.ym.mec.biz.dal.dto;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.VipGroup;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/23
 */
public class VipGroupManageDetailDto extends VipGroup {

    @ApiModelProperty(value = "最新课次",required = false)
    private Integer latestClassTime;

    @ApiModelProperty(value = "学生数量", required = false)
    private Integer studentNum;

    @ApiModelProperty(value = "小课学院",required = false)
    private List<SysUser> students;

    public Integer getLatestClassTime() {
        return latestClassTime;
    }

    public void setLatestClassTime(Integer latestClassTime) {
        this.latestClassTime = latestClassTime;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public List<SysUser> getStudents() {
        return students;
    }

    public void setStudents(List<SysUser> students) {
        this.students = students;
    }
}
